"
stx:libscm - a new source code management library for Smalltalk/X
Copyright (C) 2012-2013 Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'stx:libscm/mercurial' }"

HGRepositoryObject subclass:#HGBranch
	instanceVariableNames:'name active closed'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Mercurial-Core'
!

!HGBranch class methodsFor:'documentation'!

copyright
"
stx:libscm - a new source code management library for Smalltalk/X
Copyright (C) 2012-2013 Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
! !

!HGBranch methodsFor:'accessing'!

heads
    "Returns a list of heads (as HGChangeset) of receicer"

    ^repository heads select:[:cs|cs branches includes: self].

    "Created: / 27-11-2012 / 21:38:40 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

name
    "Returns a branche's name"
    ^ name

    "Modified (comment): / 22-10-2012 / 19:59:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGBranch methodsFor:'initialization'!

initialize
    "Invoked when a new instance is created."

    active := true.
    closed := false.

    "Created: / 27-11-2012 / 19:34:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setActive: aBoolean
    active := aBoolean

    "Created: / 27-11-2012 / 19:31:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setClosed: aBoolean
    closed := aBoolean

    "Created: / 27-11-2012 / 19:31:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setName: aString
    name := aString

    "Created: / 22-10-2012 / 20:00:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGBranch methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    super printOn:aStream.
    aStream nextPutAll:'('.
    name printOn:aStream.
    aStream nextPutAll:')'.

    "Modified: / 10-12-2012 / 03:17:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGBranch methodsFor:'testing'!

isActive
    ^active

    "Created: / 27-11-2012 / 19:32:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isClosed
    ^closed

    "Created: / 27-11-2012 / 19:32:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGBranch class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
!

version_SVN
    ^ 'Id::                                                                                                                        '
! !

